当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 26 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : 语音+视频+传文件
帖子发表于 : 2007-07-21 11:04 
头像

注册: 2006-10-31 14:49
帖子: 1617
送出感谢: 0 次
接收感谢: 0 次
也不是什么新软件,觉得多此一举的朋友们就不用看了

想用QQ的坛友们是不可能实现这个功能了,这里介绍的是amsn和skype
为何是这两款,原因很简单:amsn支持视频,skype支持语音,配置不难,为了简化阅读,鄙人将重要步骤用红色标出

一丶简介:
1.amsn的安装
aMsn不用多说。zhuqin_83已经专门有帖子介绍http://forum.ubuntu.org.cn/viewtopic.php?t=50850,直接安装源里的版本,中文输入的问题得到很好解决。可能有第一次运行提示缺少TLS组件,可以用wget下载,或者见附件:
代码:
wget http://internap.dl.sourceforge.net/sourceforge/amsn/tls-1.5.0-linux-x86.tar.gz
tar xvzf tls-1.5.0-linux-x86.tar.gz
sudo cp -f ~/tls1.50/* /usr/lib/tls1.50/

事实上,将TLS拷贝到~/.amsn目录下也可以,个人习惯而已
2.skype的安装
skype更简单,直接源里下载
代码:
sudo apt-get install skype
,源里的版本已经够用,或者有兴趣去下载1.4的beta版

二丶配置
1.视频配置,步骤如下:(适用于大部分杂牌摄像头)
(1).先在http://mxhaard.free.fr/download.html下载最新的的包gspcav1-20070508.tar.gz,或者见附件(针对2.6.11以上的内核,查看内核版本:cat /proc/version,低版本的下载spca5xx-v4l1goodbye.tar.gz,方法类似),解压:
代码:
tar xzvf gspcav1-20070508.tar.gz

(2).我的cat /proc/version目前如下:
代码:
Linux version 2.6.20-16-generic (root@terranova) (gcc version 4.1.2 (Ubuntu 4.1.2-0ubuntu4)) #2 SMP Thu Jun 7 20:19:32 UTC 2007
说明我的内核版本是2.6.20.16-generic,并且是用gcc4.1编译的,那么执行
代码:
sudo apt-get install linux-headers-2.6.20.16-generic build-essential gcc-4.1

(3).如果是老版本内核,即下载的是spca5xx-v4l1goodbye,需要这样
代码:
cd /lib/modules/2.6.20.16-generic/kernel/drivers/usb/media
sudo mv spca5xx spca5xx.bak

如果是新内核,那么只需要下一步
代码:
sudo lsmod | grep gspca
如果有输出,说明当前系统加载了旧的摄像头驱动模块,执行:
代码:
sudo modprobe -r gspca
注意:旧内核也需要移除旧模块
代码:
sudo modprobe -r spca5xx

(4).编译安装驱动:
代码:
$ cd ~/gspcav1-20070508
$ MAKEFLAGS="CC=gcc-4.1" make
$ sudo make install

不出意外的话,20秒内搞定,重启,摄像头即能使用,自己在amsn中调了试试看
或在系统-首选项-多媒体系统选择器-视频选项卡-默认输入里面测试。这个图像可能颜色不正常,但是在amsn中的视频聊天是正常的

2.skype基本上没有难度,安装完毕,只要您的音频安装正常都完全可以。先测试skype test call,如果您能听到您说的话,就表示成功。这里有个小小的bug,拨号之后可能出现音频设备问题,您可以尝试重启skype,或者修改系统的音频控制首选项,或者修改skype选项中的设备去修改,测试通过就OK。如果音频设备本身确实未能安装成功,请自行搜索论坛,方法很多,不再赘述。

传文件,这个功能两个都有,没问题

这样您能和朋友用amsn视频,用skype语音了,虽然麻烦一点,但是总归能够完成视频和语音的心愿。
鄙人试验经验不多,还请高手斧正

p.s. 听说MeChatX这个东西可以实现所有的功能,不知是否好用


附件:
文件注释: 摄像头驱动
gspcav1-20070508.tar.gz [188.31 KiB]
被下载 25633 次
文件注释: TLS组件
tls-1.5.0-linux-x86.tar.gz [439.95 KiB]
被下载 2682 次


_________________
Borders are meant to be crossed


最后由 依寻依然 编辑于 2007-09-04 14:45,总共编辑了 1 次
页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-07-21 15:49 
头像

注册: 2006-10-31 14:49
帖子: 1617
送出感谢: 0 次
接收感谢: 0 次
另:qt程序可能在gnome下出现声卡独占现象,在使用语音的时候,不要开启其他的音乐等程序


_________________
Borders are meant to be crossed


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-07-22 1:07 

注册: 2007-01-13 22:39
帖子: 202
地址: 杭州
送出感谢: 0 次
接收感谢: 0 次
啊哦
不开QQ很难有用到视频的时候啊


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-07-22 16:58 
头像

注册: 2007-06-09 9:19
帖子: 953
地址: 上海
送出感谢: 1
接收感谢: 0 次
zhangyujin78 写道:
啊哦
只有开QQ才有用到视频的时候啊


_________________
太阳好毒…….


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 语音+视频+传文件
帖子发表于 : 2007-07-23 9:04 
头像

注册: 2007-07-11 21:43
帖子: 3382
地址: 东江边
系统: archlinux
送出感谢: 15
接收感谢: 7
我用源装上了skype,可惜linux版本的好像没有免费话费送,而且字体在xfce4下很小。

依寻依然 写道:
也不是什么新软件,觉得多此一举的朋友们就不用看了

想用QQ的坛友们是不可能实现这个功能了,这里介绍的是amsn和skype
为何是这两款,原因很简单:amsn支持视频,skype支持语音,配置不难,为了简化阅读,鄙人将重要步骤用红色标出

一、简介:
1.amsn的安装
aMsn不用多说。zhuqin_83已经专门有帖子介绍http://forum.ubuntu.org.cn/viewtopic.php?t=50850,直接安装源里的版本,中文输入的问题得到很好解决。可能有第一次运行提示缺少TLS组件,可以用wget下载,或者见附件:
代码:
wget http://internap.dl.sourceforge.net/sourceforge/amsn/tls-1.5.0-linux-x86.tar.gz
tar xvzf tls-1.5.0-linux-x86.tar.gz
sudo cp -f ~/tls1.50/* /usr/lib/tls1.50/

事实上,将TLS拷贝到~/.amsn目录下也可以,个人习惯而已
2.skype的安装
skype更简单,直接源里下载
代码:
sudo apt-get install skype
,源里的版本已经够用,或者有兴趣去下载1.4的beta版

二、配置
1.amsn的视频配置,步骤如下:(适用于大部分杂牌摄像头)
(1).先在http://mxhaard.free.fr/download.html下载最新的的包gspcav1-20070508.tar.gz,或者见附件(针对2.6.11以上的内核,查看内核版本:cat /proc/version,低版本的下载spca5xx-v4l1goodbye.tar.gz,方法类似),解压:
代码:
tar xzvf gspcav1-20070508.tar.gz

(2).我的cat /proc/version目前如下:
代码:
Linux version 2.6.20-16-generic (root@terranova) (gcc version 4.1.2 (Ubuntu 4.1.2-0ubuntu4)) #2 SMP Thu Jun 7 20:19:32 UTC 2007
说明我的内核版本是2.6.20.16-generic,并且是用gcc4.1编译的,那么执行
代码:
sudo apt-get install linux-headers-2.6.20.16-generic build-essential gcc-4.1

(3).如果是老版本内核,即下载的是spca5xx-v4l1goodbye,需要这样
代码:
cd /lib/modules/2.6.20.16-generic/kernel/drivers/usb/media
sudo mv spca5xx spca5xx.bak

如果是新内核,那么只需要下一步
代码:
sudo lsmod | grep gspca
如果有输出,说明当前系统加载了旧的摄像头驱动模块,执行:
代码:
sudo modprobe -r gspca
注意:旧内核也需要移除旧模块
代码:
sudo modprobe -r spca5xx

(4).编译安装驱动:
代码:
$ cd ~/gspcav1-20070508
$ MAKEFLAGS="CC=gcc-4.1" make
$ sudo make install

不出意外的话,20秒内搞定,重启,摄像头即能使用,自己在amsn中调了试试看

2.skype基本上没有难度,安装完毕,只要您的音频安装正常都完全可以。先测试skype test call,如果您能听到您说的话,就表示成功。这里有个小小的bug,拨号之后可能出现音频设备问题,您可以尝试重启skype,或者修改系统的音频控制首选项,或者修改skype选项中的设备去修改,测试通过就OK。如果音频设备本身确实未能安装成功,请自行搜索论坛,方法很多,不再赘述。

传文件,这个功能两个都有,没问题

这样您能和朋友用amsn视频,用skype语音了,虽然麻烦一点,但是总归能够完成视频和语音的心愿。
鄙人试验经验不多,还请高手斧正

p.s. 听说MeChatX这个东西可以实现所有的功能,不知是否好用


_________________
我来了,我看见了,我征服了!
求勾搭,不管饭。


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-07-23 9:42 
头像

注册: 2006-10-31 14:49
帖子: 1617
送出感谢: 0 次
接收感谢: 0 次
鄙人说的是语音聊天,如果是打电话,那么根据官方的说法:
引用:
Free calls and video calls
When you and the person you're calling are both on Skype, the calls are free. Oh, and video calls are free too. Skype for Windows, Mac and Linux
Unlimited nationwide calls - $3 per month
Unlimited calls to landlines and cell phones within the US and Canada. SkypeOut
International calls - as low as 2.1¢ per minute
Low per-minute rates to landlines and cell phones around the world. SkypeOut
Receive calls

* Calls from other people on Skype are free. Anytime. Anywhere.
* Get a personal number that lets you receive calls on Skype, from anyone using an ordinary phone.
* Answer Skype calls even when you're offline. Just forward calls to another number and you're always available.


_________________
Borders are meant to be crossed


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 语音+视频+传文件
帖子发表于 : 2007-07-24 0:57 

注册: 2007-06-21 2:52
帖子: 273
送出感谢: 0 次
接收感谢: 0 次
依寻依然 写道:
我的cat /proc/version目前如下:
代码:
Linux version 2.6.20-16-generic (root@terranova) (gcc version 4.1.2 (Ubuntu 4.1.2-0ubuntu4)) #2 SMP Thu Jun 7 20:19:32 UTC 2007
说明我的内核版本是2.6.20.16-generic,并且是用gcc4.1编译的,那么执行
代码:
sudo apt-get install linux-headers-2.6.20.16-generic build-essential gcc-4.1


出现Couldn't find package linux-headers-2.6.20.16-generic,怎么回事?


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2007-07-24 17:40 
头像

注册: 2006-10-31 14:49
帖子: 1617
送出感谢: 0 次
接收感谢: 0 次
根据您的内核版本选择编译头,无法找到,是不是源有问题


_________________
Borders are meant to be crossed


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2007-07-24 19:15 
头像

注册: 2006-10-21 12:03
帖子: 1746
地址: Shanghai
送出感谢: 0 次
接收感谢: 0 次
開兩個出現用啊。。

msn 用 kopete 視頻
gtalk 用 kopete 語音。。。

不過 skype 最好用!
:D


_________________
.

私人空间
附有 Magic Linux 2.1 最新开发日志~
引用:


미안하다, 사랑한다




欢迎来 #xfce-cn 中文频道~~


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2007-07-25 11:03 
头像

注册: 2006-10-31 14:49
帖子: 1617
送出感谢: 0 次
接收感谢: 0 次
楼上说的不错,主要是想给一个安装摄像头驱动的方法,用什么软件习惯就好


_________________
Borders are meant to be crossed


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2007-09-02 14:38 
头像

注册: 2006-10-31 14:49
帖子: 1617
送出感谢: 0 次
接收感谢: 0 次
有朋友说直接sudo aptitude install amsn(feisty下)就能直接配好摄像头驱动
鄙人这里没有尝试成功


_________________
Borders are meant to be crossed


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2007-09-02 20:31 

注册: 2007-04-14 14:43
帖子: 42
送出感谢: 0 次
接收感谢: 0 次
7.04和7.10试验成功,感谢楼主! :lol:


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2007-09-04 14:45 
头像

注册: 2006-10-31 14:49
帖子: 1617
送出感谢: 0 次
接收感谢: 0 次
更新了一点


_________________
Borders are meant to be crossed


页首
 用户资料  
 
14 楼 
 文章标题 :
帖子发表于 : 2007-09-16 3:13 
头像

注册: 2005-08-01 9:14
帖子: 3666
送出感谢: 0 次
接收感谢: 0 次
好东西, 没事顶着玩儿


_________________
Gedanken ohne Inhalt sind leer .Anschauungen ohne Begriffe sind blind.


页首
 用户资料  
 
15 楼 
 文章标题 :
帖子发表于 : 2007-09-21 19:24 

注册: 2006-11-04 22:16
帖子: 346
送出感谢: 0 次
接收感谢: 0 次
我的cat /proc/version结果:Linux version 2.6.20-16-generic (root@terranova) (gcc version 4.1.2 (Ubuntu 4.1.2-0ubuntu4)) #2 SMP Fri Aug 31 00:55:27 UTC 2007
执行:sudo apt-get install linux-headers-2.6.20.16-generic build-essential gcc-4.1
显示:正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
linux-headers-2.6.20-16-generic 已经是最新的版本了。
build-essential 已经是最新的版本了。
gcc-4.1 已经是最新的版本了。
The following packages were automatically installed and are no longer required:
libgtkhtml3.8-15 libchewing3-data libgail17 libdbus-1-2 libgnutls12
libtasn1-2 libchewing3 libxine-main1 openoffice.org-l10n-zh-cn
openoffice.org-l10n-zh-tw openoffice.org-help-zh-cn
mozilla-firefox-locale-zh-cn openoffice.org-help-zh-tw
mozilla-firefox-locale-zh-tw
使用 'apt-get autoremove' 来删除它们。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。


但是执行:MAKEFLAGS="CC=gcc-4.1" make (当然了 进入了gspcav1-20070508的文件夹了)
显示:make -C /lib/modules/`uname -r`/build SUBDIRS=/home/wangsen/gspcav1-20070508 CC=gcc-4.1 modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.20-16-generic'
Building modules, stage 2.
MODPOST 1 modules
make[1]: Leaving directory `/usr/src/linux-headers-2.6.20-16-generic'
请问是啥原因?


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 26 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译